## python-click 6.7+git20180829

=== Makefile ===
test:
	@cd tests; PYTHONPATH=.. pytest --tb=short

upload-docs:
	$(MAKE) -C docs dirhtml
	rsync -a docs/_build/dirhtml/* flow.srv.pocoo.org:/srv/websites/click.pocoo.org/static/

release:
	python setup.py sdist bdist_wheel upload

.PHONY: upload-docs

## python-click 3.3

=== debian/changelog ===
python-click (3.3-2ubuntu1) vivid; urgency=medium

  * Rename the binary packages to python-click-cli and python3-click-cli.
    Conflict with Ubuntu's python-click and python3-click packages.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2015 13:21:07 +0100

python-click (3.3-2) unstable; urgency=low

  * Set UTF-8 before building (Closes: #772605)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Tue, 09 Dec 2014 00:22:06 -0500

python-click (3.3-1) unstable; urgency=low

  * Initial release (Closes: #764953)

 -- Alexandre Viau <alexandre@alexandreviau.net>  Fri, 10 Oct 2014 12:56:09 -0400

=== debian/control ===
Source: python-click
Maintainer: Alexandre Viau <alexandre@alexandreviau.net>
Homepage: https://github.com/mitsuhiko/click
Vcs-Git: git://anonscm.debian.org/collab-maint/python-click.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-click.git
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-pytest,
               python-colorama,
               python3-all,
               python3-setuptools,
               python3-requests,
               python3-pytest,
               python3-colorama
Standards-Version: 3.9.6

Package: python-click-cli
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-colorama
Conflicts: python-click
Description: Simple wrapper around optparse for powerful command line utilities
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 2 compatible package.

Package: python3-click-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
Conflicts: python3-click
Description: Simple wrapper around optparse for powerful command line utilities
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 3 compatible package.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click-cli
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|dev|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/c/click/click-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-click 6.2

=== debian/changelog ===
python-click (6.2-2ubuntu1) xenial; urgency=medium

  * Conflicts/Replaces python-click-cli/python3-click-cli; the
    Ubuntu-specific "click" package has now renamed its binary package to
    python3-click-package, so this package can reclaim its upstream name.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Feb 2016 16:12:32 +0000

python-click (6.2-2) unstable; urgency=medium

  * Fixed locale detection error (Closes: #812713)

 -- Alexandre Viau <aviau@debian.org>  Tue, 26 Jan 2016 09:33:30 -0500

python-click (6.2-1) unstable; urgency=medium

  * New upstream release
  * changed my email to @debian.org

 -- Alexandre Viau <aviau@debian.org>  Thu, 17 Dec 2015 08:54:36 -0500

python-click (5.1-1) unstable; urgency=low

  *  New upstream release
  *  Moved appropriate dependencies to Build-Depends-Indep
  *  Re-licensed debian packaging to BSD

 -- Alexandre Viau <alexandre@alexandreviau.net>  Sat, 22 Aug 2015 21:10:55 -0400

python-click (4.1-1) unstable; urgency=medium

  * Upstream 4.1 release

 -- Alexandre Viau <alexandre@alexandreviau.net>  Thu, 16 Jul 2015 08:28:32 -0400

=== debian/control ===
Source: python-click
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-requests,
                     python-pytest,
                     python-colorama,
                     python3-requests,
                     python3-pytest,
                     python3-colorama
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/python-click.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-click.git
Homepage: https://github.com/mitsuhiko/click

Package: python-click
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-colorama
Conflicts: python-click-cli
Replaces: python-click-cli
Description: Simple wrapper around optparse for powerful command line utilities - Python 2.7
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 2 compatible package.

Package: python3-click
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
Conflicts: python3-click-cli
Replaces: python3-click-cli
Description: Simple wrapper around optparse for powerful command line utilities - Python 3.x
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 3 compatible package.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/click/click-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-click 6.6

=== debian/changelog ===
python-click (6.6-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 23 May 2017 11:20:49 -0400

python-click (6.6-1) unstable; urgency=medium

  [ Adrian Alves ]
  * New upstream release
  * upstream fixed debian patch fix-locale-check.patch

  [ Alexandre Viau ]
  * Changed version to 6.6
  * Changed Vcs-Browser and Vcs-Git to secure (https) urls
  * Bumped Standards-Version to 3.9.7

 -- Alexandre Viau <aviau@debian.org>  Fri, 25 Mar 2016 09:33:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-click
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -15,16 +15,14 @@
                      python3-requests,
                      python3-pytest,
                      python3-colorama
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-click.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-click.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-click.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-click.git
 Homepage: https://github.com/mitsuhiko/click
 
 Package: python-click
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-colorama
-Conflicts: python-click-cli
-Replaces: python-click-cli
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-colorama
 Description: Simple wrapper around optparse for powerful command line utilities - Python 2.7
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
@@ -39,9 +37,7 @@
 
 Package: python3-click
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
-Conflicts: python3-click-cli
-Replaces: python3-click-cli
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-colorama
 Description: Simple wrapper around optparse for powerful command line utilities - Python 3.x
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command

## python-click 6.7

=== debian/changelog ===
python-click (6.7-3) unstable; urgency=medium

  * Fix dead VCS-Git URL.

 -- Alexandre Viau <aviau@debian.org>  Sun, 07 Jan 2018 13:59:09 -0500

python-click (6.7-2) unstable; urgency=medium

  * Move to salsa.debian.org.

 -- Alexandre Viau <aviau@debian.org>  Fri, 29 Dec 2017 01:02:22 -0500

python-click (6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Enabled autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * d/watch: Use https protocol

  [ Alexandre Viau ]
  * New upstream version (Closes: #856581)
  * d/watch: exclude dev versions
  * Create skip_test_legacy_callbacks.patch (Closes: #868816)

 -- Alexandre Viau <aviau@debian.org>  Wed, 19 Jul 2017 14:22:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-click
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Alexandre Viau <aviau@debian.org>
+Maintainer: Alexandre Viau <aviau@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
@@ -15,14 +14,15 @@
                      python3-requests,
                      python3-pytest,
                      python3-colorama
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-click.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-click.git
-Homepage: https://github.com/mitsuhiko/click
+Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/debian/python-click
+Vcs-Git: https://salsa.debian.org/debian/python-click.git
+Homepage: https://salsa.debian.org/debian/python-click.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-click
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-colorama
+Depends: ${misc:Depends}, ${python:Depends}, python-colorama
 Description: Simple wrapper around optparse for powerful command line utilities - Python 2.7
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
@@ -37,7 +37,7 @@
 
 Package: python3-click
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-colorama
+Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
 Description: Simple wrapper around optparse for powerful command line utilities - Python 3.x
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

export SOURCE = $(CURDIR)/debian/

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	rm -rf artwork/.DS_STORE

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/click/click-([.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-click 6.7+git20180829

=== debian/changelog ===
python-click (6.7+git20180829-1) unstable; urgency=medium

  * New upstream snapshot.
  * Remove unneeded patches.
  * Depend on python3-pallets-sphinx-themes.
  * d/rules: no longer clean artwork/.
  * d/rules: override_dh_sphinxdoc. (Closes: #906550)

 -- Alexandre Viau <aviau@debian.org>  Thu, 06 Sep 2018 15:21:26 -0400

python-click (6.7-5) unstable; urgency=medium

  * Sphinx 1.7 support. (Closes: #896630)

 -- Alexandre Viau <aviau@debian.org>  Thu, 28 Jun 2018 20:37:56 -0400

python-click (6.7-4) unstable; urgency=medium

  * Correct homepage field (Closes: #895277).
  * Fix insecure-copyright-format-uri.

 -- Alexandre Viau <aviau@debian.org>  Fri, 13 Apr 2018 09:12:35 -0400

python-click (6.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Ship documentation subpackage (Closes: #844432).
  * Reduce short description length.
  * Declare compliance with Debian policy 4.1.3.

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Fri, 23 Mar 2018 23:25:00 +0000

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

export SOURCE = $(CURDIR)/debian/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. sphinx-build -N -q -E -b html docs/ debian/python-click-doc/usr/share/doc/python-click/html/
	dh_sphinxdoc
endif

## python-click 7.0

=== debian/changelog ===
python-click (7.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937648

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jan 2020 22:56:09 -0500

python-click (7.0-2) unstable; urgency=medium

  * debian/control
    - adopt under DPMT umbrella; Thanks Alexandre for your previous work!
      Closes: #940333
    - bump Standards-Version to 4.4.0 (no changes needed)
    - Update Vcs-* fields to DPMT location
  * debian/copyright
    - add packaging copyright

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Sep 2019 19:24:24 -0400

python-click (7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Alexandre Viau ]
  * New upstream version. (Closes: #918561)
  * d/watch: support Click and click.

 -- Alexandre Viau <aviau@debian.org>  Mon, 07 Jan 2019 11:53:07 -0500

=== debian/control ===
Source: python-click
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-docutils,
               python3-pallets-sphinx-themes,
Build-Depends-Indep: python3-requests,
                     python3-pytest,
                     python3-colorama
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-click
Vcs-Git: https://salsa.debian.org/python-team/modules/python-click.git
Homepage: https://github.com/pallets/click
Testsuite: autopkgtest-pkg-python

Package: python3-click
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
Description: Wrapper around optparse for command line utilities - Python 3.x
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 3 compatible package.

Package: python-click-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Wrapper around optparse for command line utilities - documentation
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This package contains the documentation for Click.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

export SOURCE = $(CURDIR)/debian/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-click-doc/usr/share/doc/python-click/html/
	dh_sphinxdoc
endif

## python-click 7.1.2

=== docs/requirements.txt ===
Sphinx~=2.4.4
Pallets-Sphinx-Themes~=1.2.3
sphinxcontrib-log-cabinet~=1.0.1
sphinx-issues~=1.2.0

=== debian/changelog ===
python-click (7.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright information
  * debian/control
    - wrap-and-sort
    - add sphinxcontrib-log-cabinet to b-d, needed by doc
    - add sphinx.issues to b-d, needed by doc
    - dh compat to 13
  * debian/rules
    - properly build doc and installd it in the right -doc location
    - install examples
  * debian/python-click-doc.doc-base
    - adjust doc-base to new doc location

 -- Sandro Tosi <morph@debian.org>  Sun, 23 Aug 2020 23:18:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9),
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-docutils,
+               python3-pallets-sphinx-themes,
                python3-setuptools,
                python3-sphinx,
-               python3-docutils,
-               python3-pallets-sphinx-themes,
-Build-Depends-Indep: python3-requests,
+               python3-sphinx-issues <!nodoc>,
+               python3-sphinxcontrib-log-cabinet <!nodoc>,
+Build-Depends-Indep: python3-colorama,
                      python3-pytest,
-                     python3-colorama
-Standards-Version: 4.4.1
+                     python3-requests,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-click
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-click.git
 Homepage: https://github.com/pallets/click
@@ -21,7 +23,9 @@
 
 Package: python3-click
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-colorama
+Depends: python3-colorama,
+         ${misc:Depends},
+         ${python3:Depends},
 Description: Wrapper around optparse for command line utilities - Python 3.x
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
@@ -37,7 +41,8 @@
 Package: python-click-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Wrapper around optparse for command line utilities - documentation
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	http_proxy='http://127.0.0.1:9/' PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ debian/python-click-doc/usr/share/doc/python-click/html/
+	http_proxy='http://127.0.0.1:9/' PYTHONPATH=src/ python3 -m sphinx -N -E -b html docs/ debian/python-click-doc/usr/share/doc/python-click-doc/html/
 	dh_sphinxdoc
 endif
+
+override_dh_installexamples:
+	dh_installexamples -ppython-click-doc examples/*

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/click/[cC]lick-([.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-click 8.0.3

=== debian/changelog ===
python-click (8.0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - add Breaks: python3-click-threading (<< 0.5.0); Closes: #994391
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Jan 2022 20:58:40 -0500

python-click (8.0.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-click-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/rules
    - exclude test_expand_args, it fails and upstream is not interested in
      helping out what may be wrong
  * debian/control
    - merge b-d-i into b-d
    - add sphinx-tabs to b-d, needed by doc
    - set versioned dep on pallets-sphinx-themes to >= 2.0.1, needed for
      ethicalads.html template

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Oct 2021 22:41:33 -0400

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,23 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-colorama,
                python3-docutils,
-               python3-pallets-sphinx-themes,
+               python3-pallets-sphinx-themes (>= 2.0.1) <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-requests,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx <!nodoc>,
                python3-sphinx-issues <!nodoc>,
+               python3-sphinx-tabs <!nodoc>,
                python3-sphinxcontrib-log-cabinet <!nodoc>,
-Build-Depends-Indep: python3-colorama,
-                     python3-pytest,
-                     python3-requests,
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-click
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-click.git
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-click.git
 Homepage: https://github.com/pallets/click
 Testsuite: autopkgtest-pkg-python
 
@@ -26,6 +27,7 @@
 Depends: python3-colorama,
          ${misc:Depends},
          ${python3:Depends},
+Breaks: python3-click-threading (<< 0.5.0),
 Description: Wrapper around optparse for command line utilities - Python 3.x
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
@@ -43,6 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Wrapper around optparse for command line utilities - documentation
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=click
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS={dir}/tests/
+export PYBUILD_TEST_ARGS=-k 'not test_expand_args' {dir}/tests/
 
 export SOURCE = $(CURDIR)/debian/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-click-$1.tar.gz%" \
https://github.com/pallets/click/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-click 8.1.3

=== debian/changelog ===
python-click (8.1.3-2) unstable; urgency=medium

  * remove excessive changes not coordinated with the current maintainer.
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 10 Jan 2023 01:12:21 -0500

python-click (8.1.3-1) unstable; urgency=medium

  * Team upload

  [ Sandro Tosi ]
  * Add autopkgtest

  [ Carsten Schoenert ]
  * d/gbp.conf: Add some more defaults
  * New upstream version 8.1.3
  * Add patch queue from patch-queue branch
    Added patch:
    docs-Use-local-Python-intersphinx-inventary.patch
  * d/control: Switch and small update on build dependencies
  * d/control: Bump Standards-Version to 4.6.1
    No further modifications needed.
  * d/control: Sorting binary packages alphabetical
    No modifications to the control fields.
  * d/copyright: Small updates on content
  * d/u/metadata: Adding entries for FAQ and Documentation
  * d/rules: Tune sphinxdoc build a bit
  * d/rules: Remove unneded VCS file from package
  * autopkgtest: Run test really on all python versions
  * d/README.source: Addings some information about source
  * d/control: Set Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 30 Nov 2022 11:16:40 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
+               python3-doc <!nodoc>,
                python3-colorama,
                python3-docutils,
                python3-pallets-sphinx-themes (>= 2.0.1) <!nodoc>,
@@ -16,10 +17,11 @@
                python3-sphinx-issues <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-sphinxcontrib-log-cabinet <!nodoc>,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-click.git
 Homepage: https://github.com/pallets/click
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-click

=== debian/tests/control ===
Tests: unittests
Depends: @,
         @builddeps@,
Restrictions: allow-stderr

## python-click 8.1.6

=== debian/changelog ===
python-click (8.1.6-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 04:06:06 -0500

python-click (8.1.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1040473)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 19 Jul 2023 11:55:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-click
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k 'not test_expand_args' {dir}/tests/

export SOURCE = $(CURDIR)/debian/

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=src/ python3 -m sphinx -b html $(SPHINXOPTS) docs/ debian/python-click-doc/usr/share/doc/python-click-doc/html/
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -ppython-click-doc examples/*

override_dh_fixperms:
	dh_fixperms
	rm -f debian/python-click-doc/usr/share/doc/python-click-doc/examples/imagepipe/.gitignore

## python-click 8.1.7

=== debian/changelog ===
python-click (8.1.7-2) unstable; urgency=medium

  * New maintainer. Closes: #1065251
  * Add my notice to the copyright file.
  * Bring the package short description up to date.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Switch to debhelper compat level 14.
  * Use dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Let debhelper take care of some dependencies automatically.
  * Simplify the rules file using `execute_before/after_*` targets.
  * Use dh-sequence-sphinxdoc to fix the nodoc build.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Fri, 26 Jul 2024 17:14:54 +0300

python-click (8.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 16 Mar 2024 00:38:13 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Peter Pentchev <roam@debian.org>,
+Build-Depends: debhelper (>> 13.15.2~),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               dpkg-build-api (= 1),
                python3-all,
                python3-doc <!nodoc>,
                python3-colorama,
@@ -16,20 +19,19 @@
                python3-sphinx-issues <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-sphinxcontrib-log-cabinet <!nodoc>,
-Standards-Version: 4.6.2.0
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-click.git
 Homepage: https://github.com/pallets/click
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-click
 Architecture: all
 Depends: python3-colorama,
-         ${misc:Depends},
          ${python3:Depends},
 Breaks: python3-click-threading (<< 0.5.0),
-Description: Wrapper around optparse for command line utilities - Python 3.x
+Description: Command-Line Interface Creation Kit - Python 3.x
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
  Line Interface Creation Kit".  It's highly configurable but comes with
@@ -44,10 +46,9 @@
 Package: python-click-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
+Depends: ${sphinxdoc:Depends},
 Multi-Arch: foreign
-Description: Wrapper around optparse for command line utilities - documentation
+Description: Command-Line Interface Creation Kit - documentation
  Click is a Python package for creating beautiful command line interfaces
  in a composable way with as little code as necessary.  It's the "Command
  Line Interface Creation Kit".  It's highly configurable but comes with

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

export PYBUILD_NAME=click
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k 'not test_expand_args' {dir}/tests/

export SOURCE = $(CURDIR)/debian/

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_sphinxdoc:
	PYTHONPATH=src/ python3 -m sphinx -b html $(SPHINXOPTS) docs/ debian/python-click-doc/usr/share/doc/python-click-doc/html/

override_dh_installexamples:
	dh_installexamples -ppython-click-doc examples/*

execute_after_dh_fixperms:
	rm -f debian/python-click-doc/usr/share/doc/python-click-doc/examples/imagepipe/.gitignore

## python-click 8.1.8

=== debian/changelog ===
python-click (8.1.8-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Fix syntax error in Maintainer field.

  [ Colin Watson ]
  * New upstream release.
  * Drop unnecessary python3-colorama (build-)dependency, since it's only
    used on Windows.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 01:00:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: python-click
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Peter Pentchev <roam@debian.org>,
 Build-Depends: debhelper (>> 13.15.2~),
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
                dpkg-build-api (= 1),
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-doc <!nodoc>,
-               python3-colorama,
                python3-docutils,
                python3-pallets-sphinx-themes (>= 2.0.1) <!nodoc>,
                python3-pytest <!nocheck>,
                python3-requests,
-               python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-issues <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
@@ -28,8 +28,7 @@
 
 Package: python3-click
 Architecture: all
-Depends: python3-colorama,
-         ${python3:Depends},
+Depends: ${python3:Depends},
 Breaks: python3-click-threading (<< 0.5.0),
 Description: Command-Line Interface Creation Kit - Python 3.x
  Click is a Python package for creating beautiful command line interfaces

## python-click 8.2.0+0.really.8.1.8

=== debian/changelog ===
python-click (8.2.0+0.really.8.1.8-1) unstable; urgency=medium

  * Revert to version 8.1.8; the not-completely-released 8.2.0
    version introduces incompatibilities that affect
    too many other packages. Closes: #1098507
  * Declare compliance with Policy 4.7.2 with no changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Feb 2025 16:47:49 +0200

python-click (8.2.0-1) unstable; urgency=medium

  * Apply debputy's X-Style: black.
  * Add the year 2025 to my debian/* copyright notice.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Mon, 17 Feb 2025 11:53:09 +0200

python-click (8.1.8-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessare python3-docutils build dep
  * Trim autopkgtest build deps & avoid @builddeps@

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 20:49:19 +0100

=== debian/control ===
Source: python-click
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Peter Pentchev <roam@debian.org>,
Build-Depends:
 debhelper (>> 13.15.2~),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 dpkg-build-api (= 1),
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-doc <!nodoc>,
 python3-pallets-sphinx-themes (>= 2.0.1) <!nodoc>,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-sphinx <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-tabs <!nodoc>,
 python3-sphinxcontrib-log-cabinet <!nodoc>,
X-DH-Compat: 14
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-click
Vcs-Git: https://salsa.debian.org/python-team/packages/python-click.git
Homepage: https://github.com/pallets/click
Testsuite: autopkgtest-pkg-python
X-Style: black

Package: python3-click
Architecture: all
Depends:
 ${python3:Depends},
Breaks:
 python3-click-threading (<< 0.5.0),
Description: Command-Line Interface Creation Kit - Python 3.x
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This is the Python 3 compatible package.

Package: python-click-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Command-Line Interface Creation Kit - documentation
 Click is a Python package for creating beautiful command line interfaces
 in a composable way with as little code as necessary.  It's the "Command
 Line Interface Creation Kit".  It's highly configurable but comes with
 sensible defaults out of the box.
 .
 It aims to make the process of writing command line tools quick and fun
 while also preventing any frustration caused by the inability to implement
 an intended CLI API.
 .
 This package contains the documentation for Click.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
+
+export DEB_VERSION_UPSTREAM  # used by patched docs/conf.py
 
 export PYBUILD_NAME=click
 export PYBUILD_TEST_PYTEST=1

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,
